gyp: No Xcode or CLT version detected!

Si recibimos este error en Mac Catalina:

gyp: No Xcode or CLT version detected!
gyp ERR! configure error

La solución pasa por (re)instalar la command-line tools, después de borrar la que actualmente tenemos.

Para saber en qué directorio lo tenemos instalado ejecutamos:

xcode-select --print-path

En mi caso:

/Library/Developer/CommandLineTools

Seguidamente procedemos a eliminar el actual (nos pedirá el pass de nuestra cuenta):

sudo rm -r -f /Library/Developer/CommandLineTools

Ahora nos debería de aparecer el siguiente dialogo de git.

En el caso de que no nos aparezca, ejecutaremos:

xcode-select --install

Cuando termine la instalación nos aparecerá el siguiente diálogo:

Y listo, en mi caso ya puedo iniciar mi app de React.

👋


Tu opinión es importante para mi, ¿Te ha resultado útil este artículo?

¿Eres programador/a?

En Pulpo están buscando nuevos talentos, envíales un email a developers@pulpoapp.com.

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

*